Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.jobcontrol.action
Class JobAction

    java.lang.Object
      javax.swing.AbstractAction
          com.developmentontheedge.jobcontrol.action.JobAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

public class JobAction
extends javax.swing.AbstractAction

Factory for creating of special Job Control Actions

- STOP
- PAUSE
- TERMINATE

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ACTION_PAUSE` Pause action key
`static java.lang.String` | `ACTION_START` Start action key
`static java.lang.String` | `ACTION_TERMINATE` Terminate action key
`protected static org.apache.log4j.Category` | `log`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`protected` | `JobAction(java.lang.String name, java.lang.String shortDesc, java.lang.String longDesc, int mnemonic, java.lang.String imageFile, java.lang.String cmd, java.awt.event.ActionListener listener)` Protected constructor for internal using

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` Overridden method for translation action events to the specified listeners
`void` | `addActionListener(java.awt.event.ActionListener l)` Adds the specified action listener to receive action event .
`static JobAction` | `createPauseAction(java.awt.event.ActionListener listener)` Creates "Pause" action
`static JobAction` | `createStartAction(java.awt.event.ActionListener listener)` Creates "Start" action
`static JobAction` | `createTerminateAction(java.awt.event.ActionListener listener)` Creates "Terminate" action
`protected void` | `fireActionPerformed(java.awt.event.ActionEvent evt)` Notifies all listeners that the action is activised.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_PAUSE

    public static final java.lang.String ACTION_PAUSE

  Pause action key

  See Also:
    Constant Field Values

### ACTION_TERMINATE

    public static final java.lang.String ACTION_TERMINATE

  Terminate action key

  See Also:
    Constant Field Values

### ACTION_START

    public static final java.lang.String ACTION_START

  Start action key

  See Also:
    Constant Field Values

### log

    protected static org.apache.log4j.Category log

Constructor Detail

### JobAction

    protected JobAction(java.lang.String name,
                        java.lang.String shortDesc,
                        java.lang.String longDesc,
                        int mnemonic,
                        java.lang.String imageFile,
                        java.lang.String cmd,
                        java.awt.event.ActionListener listener)

  Protected constructor for internal using

Parameters:
  `name` - name of job action
  `shortDesc` - short description of job action
  `longDesc` - long description of job action
  `mnemonic` - hot key
  `imageFile` - image of button/menu
  `cmd` - corresponding string command
  `listener` - listener of action

Method Detail

### createPauseAction

    public static JobAction createPauseAction(java.awt.event.ActionListener listener)

  Creates "Pause" action

  Parameters:
    `listener` - listener of this action
  Returns:
    "Pause" action

### createStartAction

    public static JobAction createStartAction(java.awt.event.ActionListener listener)

  Creates "Start" action

  Parameters:
    `listener` - listener of this action
  Returns:
    "Start" action

### createTerminateAction

    public static JobAction createTerminateAction(java.awt.event.ActionListener listener)

  Creates "Terminate" action

  Parameters:
    `listener` - listener of this action
  Returns:
    "Terminate" action

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Overridden method for translation action events to the specified listeners

  Parameters:
    `evt` - ActionEvent

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  Adds the specified action listener to receive action event .

### fireActionPerformed

    protected void fireActionPerformed(java.awt.event.ActionEvent evt)

  Notifies all listeners that the action is activised.

  Parameters:
    `evt` - ActionEvent

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.